<?php
#----------------------------------------------------------#
# チーム野手成績
#----------------------------------------------------------#
function team_result_btR($DATA){
global$disp,$Q,$SET;
global$RANK_RES,$D;
#--------------------------------------#
# データチェック
#--------------------------------------#
$db=sql_open();
check_id($_COOKIE[id],$_COOKIE[pass]);
$PL=read_data('player',$_COOKIE[id]);
$TM=read_data('team',$_COOKIE[id]);
$title=title($_COOKIE[id]);
#--------------------------------------#
# 初期設定
#--------------------------------------#
$TR_LG=$PL[20];
$TR_RANK=$Q[rank];if(!$TR_RANK){$TR_RANK='AVE';}
$TIME=read_data('time','time');
#--------------------------------------#
# データ設定
#--------------------------------------#
#読み取りデータ
switch($DATA){
	case 'b':
	$D[read_data]='card_res_bb';
	$D[data]='b';
	$D[data_name]='前季';
	break;
	case 'p':
	$D[read_data]='card_res_bp';
	$D[data]='p';
	$D[data_name]='練習';
	break;
	case 'a':
	$D[read_data]='card_res_ba';
	$D[data]='a';
	$D[data_name]='全季';
	break;
	case 'pp':
	$D[read_data]='card_res_bpp';
	$D[data]='pp';
	$D[data_name]='打撃練習';
	break;
	default:
	$D[read_data]='card_res_b';
	$D[data]='';
	$D[data_name]='今季';
}
# 規定投球回
$D[check]=$TIME[num]*3.1;
# 設定/この順番で表示
$D[RANK_TYPE]=array(
'AVE'=>'U!打率',
'AVEP'=>'U!得点圏!得点圏打率',
'OBP'=>'U!出塁率',
'SLG'=>'U!長打率',
'OPS'=>'U!OPS',
'GM'=>'U!試合!出場試合',
'BTT'=>'U!打席',
'BTN'=>'U!打数',
'BTH'=>'U!安打',
'BTH1'=>'U!単打',
'BTH2'=>'U!二塁!二塁打',
'BTH3'=>'U!三塁!三塁打',
'BTHR'=>'U!HR!本塁打',
'BTRN'=>'U!塁打',
'RBI'=>'U!打点',
'RUNS'=>'U!得点',
'SB'=>'U!盗塁',
'SBO'=>'U!盗塁死',
'BTSB'=>'U!犠打',
'BTSF'=>'U!犠飛',
'FB'=>'U!四球',
'FBP'=>'U!敬遠',
'DB'=>'U!死球',
'SO'=>'U!三振',
'DP'=>'U!併殺',
'ER'=>'U!失策',
'DF'=>'U!守機!守備機会',
'ERP'=>'U!守率!守備率'
);
#--------------------------------------#
# データ読み込み
#--------------------------------------#
#名前/ソート法
$NAMES=explode('!',$D[RANK_TYPE][$TR_RANK]);
if($NAMES[2]){
	$RANK_RES[NAME]=$NAMES[2];
}else{
	$RANK_RES[NAME]=$NAMES[1];
}
$RANK_RES[SORT]=$NAMES[0];
#選手読み込み
$sql=mysql_query("SELECT * FROM player_card WHERE player_id='$_COOKIE[id]'");
while ($CD=mysql_fetch_assoc($sql)){
	$CD_RB=read_data($D[read_data],$CD[id]);
	if(!$CD_RB[1]){continue;}
	#ランキング別
	get_ranking($TR_RANK,$CD_RB);
	#集計用
	if($CD_RB){
		for($i=0;$i<=$SET[dt_btd_num];$i++){
			$name=$i;
			$ALL_RP[$name]+=$CD_RB[$name];
		}
	}
}
#あるかどうか
if($RANK_RES){
	#ソート
	if($RANK_RES[SORT]=='U'){
		krsort($RANK_RES);
	}elseif($RANK_RES[SORT]=='D'){
		ksort($RANK_RES);
	}
	#表示
	$no=1;
	foreach($RANK_RES as $DATA=>$keys){
		$KEYS=explode('!',$keys);
		$i=0;
		if(!is_numeric($DATA)){continue;}
		foreach($KEYS as $num=>$key){
			$CD_ID=$key;
			$CD=read_data('player_card',$CD_ID);
			$CD_RB=read_data($D[read_data],$CD_ID);
			$html_flag_url=icon_url($PL[5]);
			$html_result.="<tr style='text-align:center;'><td>";
			if($i!=0){$html_result.="〃";}else{$html_result.="$no";}
			$html_result.="</td><td><img src=\"$SET[dir_icon]/$CD[6]\" height=\"$SET[icon_h_m]\" title=\"$CD[0]\"></td><td>$CD[0]</td><td><img src='$html_flag_url' height=$SET[icon_h_m] title='$PL[1]'></td><td>$CD[2]</td><td>$CD[3]</td><td>".ch_tone($CD[4])."</td><td>".ch_fati($CD[5])."</td><td>".ch_st($CD[11],0)."</td><td>".ch_st($CD[12],0)."</td><td>".ch_st($CD[13],0)."</td><td>".ch_st($CD[14],0)."</td><td>".ch_st($CD[15],0)."</td><td>".ch_st($CD[16],0)."</td><td>".ch_st($CD[17],0)."</td><td>&nbsp;</td>";
			foreach($D[RANK_TYPE] as $key=>$val){
				if($key==$TR_RANK){
					$html_result.="<td style='background-color:pink;'>";
				}else{
					$html_result.="<td>";
				}
				$html_result.=calc_ranking($key,$CD_RB,0)."</td>";
			}
			$html_result.="</tr>\n";
			$no++;
			$i++;
		}
	}
	#上部表示
	$html_result_tb='<tr style="text-align:center;"><th>&nbsp;</th><th colspan=2>名前</th><th>&nbsp;</th><th>投</th><th>打</th><th>調</th><th>疲</th><th>巧</th><th>力</th><th>走</th><th>肩</th><th>守</th><th>反</th><th>E避</th><th>&nbsp;</th>';
	foreach($D[RANK_TYPE] as $key=>$val){
		$NAMES=explode('!',$val);
		if($key==$TR_RANK){
			$html_result_tb.="<th style='background-color:pink;'>";
		}else{
			$html_result_tb.="<th>";
		}
		$html_result_tb.="<a href='$SET[path_index]?r=team_result_bt$D[data]&rank=$key'>$NAMES[1]</a></th>";
	}
	$html_result_tb.="</tr>";
	# 全成績表示
	$html_result_all="<tr style='text-align:center;'><td>&nbsp;</td><th colspan=2>".$html_lg."総合成績</th><td colspan=13>&nbsp;</td>";
	foreach($D[RANK_TYPE] as $key=>$val){
		if($key==$TR_RANK){
			$html_result_all.="<td style='background-color:pink;'>";
		}else{
			$html_result_all.="<td>";
		}
		$html_result_all.=calc_ranking($key,$ALL_RP,0)."</td>";
	}
	$html_result_all.="</tr>";
	#
}else{
	$html_result.="<tr><td colspan=10>表示するものがありません</td></tr>\n";
}
#--------------------------------------#
sql_close($db);
#--------------------------------------#

$disp.=head();
$disp.=html_bar();
$disp.=$title;
$disp.=<<<EOF
<tr><td colspan=2>
<b>チーム野手成績($D[data_name])&nbsp;&gt;&nbsp;$RANK_RES[NAME]($TR_RANK)</b><br>
<a href='$SET[path_index]?r=team_result'>全体成績</a>/<a href='$SET[path_index]?r=team_result_pc$D[data]'>投手成績</a>/<a href='$SET[path_index]?r=team_result_bt$D[data]'>野手成績</a>
<table style="width:1600px;">
$html_result_tb
$html_result
$html_result_tb
$html_result_all
</table>
20位まで、規定打席数：$D[check]打席
</td></tr>
EOF;
$disp.=foot();
}
#----------------------------------------------------------#
function get_ranking($TR_RANK,$CD_RB){
global$RANK_RES;
	if($TR_RANK){
		#出力
		$RES=calc_ranking($TR_RANK,$CD_RB,1);
		$RANK_RES["$RES"]=SET_STR_AR($RANK_RES,$RES,$CD_RB[id],'!');
	}
}
#----------------------------------------------------------#
function calc_ranking($NAME,$CD_RB,$CALC_C){
global$D;
switch($NAME){
case'AVE':$RES=AVE($CD_RB[2],$CD_RB[3]);break;
case'AVEP':$RES=AVE($CD_RB[20],$CD_RB[21]);break;
case'OBP':$RES=AVE(($CD_RB[2]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]+$CD_RB[14]),($CD_RB[3]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]));break;
case'SLG':$RES=AVE($CD_RB[2],$CD_RB[8]);break;
case'OPS':$RES=AVE(($CD_RB[2]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]+$CD_RB[14]),($CD_RB[3]+$CD_RB[15]+$CD_RB[16]+$CD_RB[17]))+AVE($CD_RB[2],$CD_RB[8]);break;
case'GM':$RES=$CD_RB[0];break;
case'BTT':$RES=$CD_RB[1];break;
case'BTN':$RES=$CD_RB[2];break;
case'BTH':$RES=$CD_RB[3];break;
case'BTH1':$RES=$CD_RB[4];break;
case'BTH2':$RES=$CD_RB[5];break;
case'BTH3':$RES=$CD_RB[6];break;
case'BTHR':$RES=$CD_RB[7];break;
case'BTRN':$RES=$CD_RB[8];break;
case'RBI':$RES=$CD_RB[9];break;
case'RUNS':$RES=$CD_RB[10];break;
case'SB':$RES=$CD_RB[11];break;
case'SBO':$RES=$CD_RB[12];break;
case'BTSB':$RES=$CD_RB[13];break;
case'BTSF':$RES=$CD_RB[14];break;
case'FB':$RES=$CD_RB[15];break;
case'FBP':$RES=$CD_RB[16];break;
case'DB':$RES=$CD_RB[17];break;
case'SO':$RES=$CD_RB[18];break;
case'DP':$RES=$CD_RB[19];break;
case'ER':$RES=$CD_RB[23];break;
case'DF':$RES=$CD_RB[24];break;
case'ERP':
if($CD_RB[24]){
$RES=floor((1-$CD_RB[23]/$CD_RB[24])*1000)/1000;
}else{
$RES='-';
}
break;
 }
 return $RES;
}
#----------------------------------------------------------#
?>